org.apache.ignite.internal.processors.igfs

## Class IgfsFileInfo.Builder

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsFileInfo.Builder

Enclosing class:
  IgfsFileInfo

    public static class IgfsFileInfo.Builder
    extends Object

Builder for `IgfsFileInfo`.

### Method Summary

Methods
`IgfsFileInfo` `build()` Finishes instance construction and returns a resulting unmodifiable instance.
`IgfsFileInfo.Builder` `path(IgfsPath path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### path

    public IgfsFileInfo.Builder path(IgfsPath path)

Parameters:
  `path` - A new path value.
Returns:
  This builder instance (for chaining).

#### build

    public IgfsFileInfo build()

Finishes instance construction and returns a resulting unmodifiable instance.

Returns:
  A constructed instance.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015